# Issue Tracking API — Tickets

> Canonical URL: https://developers.apideck.com/apis/issue-tracking/reference#tag/Tickets

This document contains every operation on the `Tickets` resource.

---

# List Tickets

> **Issue Tracking API** · `GET /issue-tracking/collections/{collection_id}/tickets`
> Canonical URL: https://developers.apideck.com/apis/issue-tracking/reference#tag/Tickets/operation/collectionTicketsAll

List Tickets

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `cursor` | query | `string` | No | Cursor to start from. You can find cursors for next/previous pages in the meta.cursors property of the response. |
| `limit` | query | `integer` | No | Number of results to return. Minimum 1, Maximum 200, Default 20 |
| `collection_id` | path | `string` | Yes | The collection ID |
| `sort` | query | `object` | No | Apply sorting |
| `filter` | query | `object` | No | Apply filters |
| `pass_through` | query | `object` | No | Optional unmapped key/values that will be passed through to downstream as query parameters. Ie: ?pass_through[search]=leads becomes ?search=leads |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |

### Responses

#### 200 — List Tickets

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `jira`
- `resource` `string` **required** — Unified API resource name — example: `Tickets`
- `operation` `string` **required** — Operation performed — example: `all`
- `data` `array of object` **required**
  - `id` `string` **required** — A unique identifier for an object. — example: `12345`
  - `parent_id` `string` — The ticket's parent ID — example: `12345`
  - `collection_id` `string` — The ticket's collection ID — example: `12345`
  - `type` `string` — The ticket's type — example: `Technical`
  - `subject` `string` — Subject of the ticket — example: `Technical Support Request`
  - `description` `string` — The ticket's description. HTML version of description is mapped if supported by the third-party platform — example: `I am facing issues with my internet connection`
  - `status` `string` — The current status of the ticket. Possible values include: open, in_progress, closed, or - in cases where there is no clear mapping - the original value passed through. — example: `OK`
  - `priority` `string` — Priority of the ticket — enum: `low`, `normal`, `high`, `urgent` — example: `high`
  - `assignees` `array of object`
    - `id` `string` **required** — A unique identifier for an object. — example: `12345`
    - `username` `string` — example: `Cocoa`
  - `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `created_by` `string` — The user who created the object. — example: `12345`
  - `due_date` `string` — Due date of the ticket — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `completed_at` `string` — When the ticket was completed — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `tags` `array of object`
    - `id` `string` **required** — A unique identifier for an object. — example: `12345`
    - `name` `string` — The name of the tag. — example: `User Experience`
    - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
  - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
  - `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
    - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
    - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
    - `extend_object` `object` — Simple object allowing any properties for direct extension.
    - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
      - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
      - `value` `any` **required** — The value to set at the specified path, can be any type.
- `meta` `object` — Response metadata
  - `items_on_page` `integer` — Number of items returned in the data property of the response — example: `50`
  - `cursors` `object` — Cursors to navigate to previous or next pages through the API
    - `previous` `string` — Cursor to navigate to the previous page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjE=`
    - `current` `string` — Cursor to navigate to the current page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjI=`
    - `next` `string` — Cursor to navigate to the next page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjM=`
- `links` `object` — Links to navigate to previous or next pages through the API
  - `previous` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjE%3D`
  - `current` `string` — Link to navigate to the current page through the API — example: `https://unify.apideck.com/crm/companies`
  - `next` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjM`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Create Ticket

> **Issue Tracking API** · `POST /issue-tracking/collections/{collection_id}/tickets`
> Canonical URL: https://developers.apideck.com/apis/issue-tracking/reference#tag/Tickets/operation/collectionTicketsAdd

Create Ticket

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `collection_id` | path | `string` | Yes | The collection ID |

### Request Body

_Required._

- `id` `string` **required** — A unique identifier for an object. — example: `12345`
- `parent_id` `string` — The ticket's parent ID — example: `12345`
- `collection_id` `string` — The ticket's collection ID — example: `12345`
- `type` `string` — The ticket's type — example: `Technical`
- `subject` `string` — Subject of the ticket — example: `Technical Support Request`
- `description` `string` — The ticket's description. HTML version of description is mapped if supported by the third-party platform — example: `I am facing issues with my internet connection`
- `status` `string` — The current status of the ticket. Possible values include: open, in_progress, closed, or - in cases where there is no clear mapping - the original value passed through. — example: `open`
- `priority` `string` — Priority of the ticket — enum: `low`, `normal`, `high`, `urgent` — example: `high`
- `assignees` `array of object`
  - `id` `string` **required** — A unique identifier for an object. — example: `12345`
  - `username` `string` — example: `Cocoa`
- `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `created_by` `string` — The user who created the object. — example: `12345`
- `due_date` `string` — Due date of the ticket — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `completed_at` `string` — When the ticket was completed — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `tags` `array of object`
  - `id` `string` **required** — A unique identifier for an object. — example: `12345`
  - `name` `string` — The name of the tag. — example: `User Experience`
  - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
- `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
- `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
  - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
  - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
  - `extend_object` `object` — Simple object allowing any properties for direct extension.
  - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
    - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
    - `value` `any` **required** — The value to set at the specified path, can be any type.

### Responses

#### 201 — Create a Ticket

- `status_code` `integer` **required** — HTTP Response Status Code — example: `201`
- `status` `string` **required** — HTTP Response Status — example: `Created`
- `service` `string` **required** — Apideck ID of service provider — example: `jira`
- `resource` `string` **required** — Unified API resource name — example: `Tickets`
- `operation` `string` **required** — Operation performed — example: `add`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Get Ticket

> **Issue Tracking API** · `GET /issue-tracking/collections/{collection_id}/tickets/{ticket_id}`
> Canonical URL: https://developers.apideck.com/apis/issue-tracking/reference#tag/Tickets/operation/collectionTicketsOne

Get Ticket

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `ticket_id` | path | `string` | Yes | ID of the ticket you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `collection_id` | path | `string` | Yes | The collection ID |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |

### Responses

#### 200 — Get a Ticket

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `sage-hr`
- `resource` `string` **required** — Unified API resource name — example: `Tickets`
- `operation` `string` **required** — Operation performed — example: `one`
- `data` `object` **required**
  - `id` `string` **required** — A unique identifier for an object. — example: `12345`
  - `parent_id` `string` — The ticket's parent ID — example: `12345`
  - `collection_id` `string` — The ticket's collection ID — example: `12345`
  - `type` `string` — The ticket's type — example: `Technical`
  - `subject` `string` — Subject of the ticket — example: `Technical Support Request`
  - `description` `string` — The ticket's description. HTML version of description is mapped if supported by the third-party platform — example: `I am facing issues with my internet connection`
  - `status` `string` — The current status of the ticket. Possible values include: open, in_progress, closed, or - in cases where there is no clear mapping - the original value passed through. — example: `OK`
  - `priority` `string` — Priority of the ticket — enum: `low`, `normal`, `high`, `urgent` — example: `high`
  - `assignees` `array of object`
    - `id` `string` **required** — A unique identifier for an object. — example: `12345`
    - `username` `string` — example: `Cocoa`
  - `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `created_by` `string` — The user who created the object. — example: `12345`
  - `due_date` `string` — Due date of the ticket — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `completed_at` `string` — When the ticket was completed — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `tags` `array of object`
    - `id` `string` **required** — A unique identifier for an object. — example: `12345`
    - `name` `string` — The name of the tag. — example: `User Experience`
    - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
  - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
  - `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
    - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
    - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
    - `extend_object` `object` — Simple object allowing any properties for direct extension.
    - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
      - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
      - `value` `any` **required** — The value to set at the specified path, can be any type.
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Delete Ticket

> **Issue Tracking API** · `DELETE /issue-tracking/collections/{collection_id}/tickets/{ticket_id}`
> Canonical URL: https://developers.apideck.com/apis/issue-tracking/reference#tag/Tickets/operation/collectionTicketsDelete

Delete Ticket

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `ticket_id` | path | `string` | Yes | ID of the ticket you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `collection_id` | path | `string` | Yes | The collection ID |

### Responses

#### 200 — Delete a Ticket

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `jira`
- `resource` `string` **required** — Unified API resource name — example: `Tickets`
- `operation` `string` **required** — Operation performed — example: `add`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Update Ticket

> **Issue Tracking API** · `PATCH /issue-tracking/collections/{collection_id}/tickets/{ticket_id}`
> Canonical URL: https://developers.apideck.com/apis/issue-tracking/reference#tag/Tickets/operation/collectionTicketsUpdate

Update Ticket

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `ticket_id` | path | `string` | Yes | ID of the ticket you are acting upon. |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `collection_id` | path | `string` | Yes | The collection ID |

### Request Body

_Required._

- `id` `string` **required** — A unique identifier for an object. — example: `12345`
- `parent_id` `string` — The ticket's parent ID — example: `12345`
- `collection_id` `string` — The ticket's collection ID — example: `12345`
- `type` `string` — The ticket's type — example: `Technical`
- `subject` `string` — Subject of the ticket — example: `Technical Support Request`
- `description` `string` — The ticket's description. HTML version of description is mapped if supported by the third-party platform — example: `I am facing issues with my internet connection`
- `status` `string` — The current status of the ticket. Possible values include: open, in_progress, closed, or - in cases where there is no clear mapping - the original value passed through. — example: `open`
- `priority` `string` — Priority of the ticket — enum: `low`, `normal`, `high`, `urgent` — example: `high`
- `assignees` `array of object`
  - `id` `string` **required** — A unique identifier for an object. — example: `12345`
  - `username` `string` — example: `Cocoa`
- `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `created_by` `string` — The user who created the object. — example: `12345`
- `due_date` `string` — Due date of the ticket — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `completed_at` `string` — When the ticket was completed — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `tags` `array of object`
  - `id` `string` **required** — A unique identifier for an object. — example: `12345`
  - `name` `string` — The name of the tag. — example: `User Experience`
  - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
- `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
- `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
  - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
  - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
  - `extend_object` `object` — Simple object allowing any properties for direct extension.
  - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
    - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
    - `value` `any` **required** — The value to set at the specified path, can be any type.

### Responses

#### 200 — Update a Ticket

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `github`
- `resource` `string` **required** — Unified API resource name — example: `Tickets`
- `operation` `string` **required** — Operation performed — example: `update`
- `data` `object` **required** — A object containing a unique identifier for the resource that was created, updated, or deleted.
  - `id` `string` **required** — The unique identifier of the resource — example: `12345`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---
